#include <bits/stdc++.h>

using namespace std;
int mas[100100];
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    long long res=0, e=1;
    cin>>n;
    for (int i=0; i<n; i++) cin>>mas[i];
    for (int i=0; i<n-1; i++){
        if (mas[i]==mas[i+1]){
            e++;
        }
        else{
            res+=max((mas[i]-n+1+i),0)*e;
            e=1;
        }
    }
    res+=mas[n-1]*e;
    cout<<res<<endl;
    return 0;
}
